//*******************************************************************************
//* Dieses Programm wurde von Ulrich Radig fr Atmel AVR C geschrieben    		*
//* 																			*
//* Ich wnsche jeden viel Spa mit diesen kleinen Web-Server der ohne 			*
//* zustzlichen Speicher auskommt.												*
//*																				*
//* Bei Fragen und Verbesserungen wendet euch per EMail an						*
//*																				*
//* mail@ulrichradig.de															*
//*																				*
//* oder im Forum meiner Web Page : www.ulrichradig.de							*
//*																				*
//*******************************************************************************

//Prototype
void ICMP_Reply (char *,int);

//Aufbau einer ICMP Nachricht
//	
//8 BIT Typ	|8 BIT Code	|16 BIT Prfsumme	
//Je nach Typ			|Nachricht unterschiedlich
//Testdaten
//
//8 BIT Typ = 0 Echo Reply oder 8 Echo request	

//ICMP Header
#define	ICMP_TYPE				0x22	//8 bit typ identifiziert Aufgabe der Nachricht 0 = Echo Reply 8 = Echo Request
#define	ICMP_CODE				0x23	//8 Bit Code enthlt Detailangaben zu bestimmten Typen
#define	ICMP_CKSUM				0x24	//16 Bit Prfsumme enthlt die CRC Prfsumme
#define	ICMP_ID					0x26	//1 byte Identifizierung
#define	ICMP_SEQNUM				0x28	//Sequenznummer
#define ICMP_DATA				0x2A	//ab hier knnen sich Testdaten befinden (Echo/Request)



